import 'dart:ui';

import 'package:tim_ui_kit_calling_plugin/view/group/tim_uikit_group_call.dart';

class GroupCallTool {
  static List<List<UserViewInfo>> getScreenList(List<UserViewInfo> list) {
    final totalListLength = list.length;
    const screenLen = 9;
    if (totalListLength > screenLen) {
      int index = 1;
      List<List<UserViewInfo>> result = [];

      while (index * screenLen < list.length) {
        List<UserViewInfo> temp =
            list.skip((index - 1) * screenLen).take(screenLen).toList();
        result.add(temp);
        index++;
      }

      List<UserViewInfo> temp = list.skip((index - 1) * screenLen).toList();
      result.add(temp);

      return result;
    } else {
      return [list];
    }
  }

  static Size getViewSize(Size screenSize, int totalListLength) {
    if (totalListLength == 1) {
      return screenSize;
    }

    if (totalListLength <= 4) {
      return Size(screenSize.width / 2, screenSize.height / 2);
    }
    return const Size(125, 125);
  }
}
